EUCA-BUNDLE-VOL(1)

NAME
euca-bundle-vol - Prepare this machine's filesystem for use in the cloud

SYNOPSIS
euca-bundle-vol [-p PREFIX] [-d DIR]

[-r {i386,x86_64,armhf,ppc,ppc64,ppc64le}]
    [-e PATH,...] [-i PATH,...] [-s MiB] [--no-filter] [--all] [--inherit | --no-inherit] [-v DIR] [-P {mbr,gpt,none}] [-S FILE] [--fstab FILE | --generate-fstab] [--grub-config FILE] [-k FILE] [-c FILE] [--ec2cert FILE] [-u ACCOUNT] [--kernel IMAGE] [--ramdisk IMAGE] [-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...] [--productcodes CODE1,CODE2,...] [--progress | --no-progress] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Prepare this machine's filesystem for use in the cloud

DESCRIPTION
This command must be run as the superuser.

  optional arguments:

-p PREFIX, --prefix PREFIX
    the file name prefix to give the bundle's files (default: image)

-d DIR, --destination DIR
    location to place the bundle's files (default: dir named by TMPDIR, TEMP, or TMP environment variables, or otherwise /var/tmp)

-r {i386,x86_64,armhf,ppc,ppc64,ppc64le}, --arch {i386,x86_64,armhf,ppc,ppc64,ppc64le}
    the image's architecture (required)

-e PATH,..., --exclude PATH,...
    comma-separated list of paths to exclude

-i PATH,..., --include PATH,...
    comma-separated list of paths to include

-s MiB, --size MiB
    size of the image to create (default: 10240 MiB)

--no-filter
    do not filter out sensitive/system files

--all
    include all filesystems regardless of type (default: only include local filesystems)

--inherit
    use the metadata service to provide metadata for the bundle (this is the default)

--no-inherit
    do not use the metadata service for bundle metadata

-v DIR, --volume DIR
    location of the volume from which to create the bundle (default: /)

-P {mbr,gpt,none}, --partition {mbr,gpt,none}
    the type of partition table to create (default: attempt to guess based on the existing disk)

-S FILE, --script FILE
    location of a script to run immediately before bundling. It will receive the volume's mount point as its only argument.

--fstab FILE
    location of an fstab(5) file to copy into the bundled image

--generate-fstab
    automatically generate an fstab(5) file for the bundled image

--grub-config FILE
    location of a GRUB 1 configuration file to copy to /boot/grub/menu.lst on the bundled image

-k FILE, --privatekey FILE
    file containing your private key to sign the bundle's manifest with. This private key will also be required to unbundle the image in the future.

-c FILE, --cert FILE
    file containing your X.509 certificate

--ec2cert FILE
    file containing the cloud's X.509 certificate

-u ACCOUNT, --user ACCOUNT
    your account ID

--kernel IMAGE
    ID of the kernel image to associate with this machine image

--ramdisk IMAGE
    ID of the ramdisk image to associate with this machine image

-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,..., --block-device-mappings VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...
    block device mapping scheme with which to launch instances of this machine image

--productcodes CODE1,CODE2,...
    comma-separated list of product codes for the image

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit